<?php
/*************************************************************************************/
/*                                                                                   */
/*      Thelia	                                                            		 */
/*                                                                                   */
/*      Copyright (c) Octolys Development		                                     */
/*		email : thelia@octolys.fr		        	                             	 */
/*      web : http://www.octolys.fr						   							 */
/*                                                                                   */
/*      This program is free software; you can redistribute it and/or modify         */
/*      it under the terms of the GNU General Public License as published by         */
/*      the Free Software Foundation; either version 2 of the License, or            */
/*      (at your option) any later version.                                          */
/*                                                                                   */
/*      This program is distributed in the hope that it will be useful,              */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of               */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                */
/*      GNU General Public License for more details.                                 */
/*                                                                                   */
/*      You should have received a copy of the GNU General Public License            */
/*      along with this program; if not, write to the Free Software                  */
/*      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA    */
/*                                                                                   */
/*************************************************************************************/
?>
<?php

	include_once(realpath(dirname(__FILE__)) . "/../../../classes/PluginsTransports.class.php");
	
	class ColissimoInternational extends PluginsTransports{


		function ColissimoInternational(){
			$this->PluginsTransports("ColissimoInternational");
		}
		
		function init(){
			$this->ajout_desc("ColissimoInternational", "ColissimoInternational", "", 1);
			
		}
		
		function calcule(){
			if (($this->zone > 1) && ($this->zone <= 6))
			{
				//union europenne
				if($this->poids<=1) return 15.60;
				else if($this->poids>1 && $this->poids<=2) return 17.15;
				else if($this->poids>2 && $this->poids<=3) return 20.75;
				else if($this->poids>3 && $this->poids<=4) return 24.35;
				else if($this->poids>4 && $this->poids<=5) return 27.95;
				else if($this->poids>5 && $this->poids<=6) return 31.55;
				else if($this->poids>6 && $this->poids<=7) return 35.15;
				else if($this->poids>7 && $this->poids<=8) return 38.75;
				else if($this->poids>8 && $this->poids<=9) return 42.35;
				else if($this->poids>9 && $this->poids<=10) return 45.95;
				else if($this->poids>10 && $this->poids<=15) return 52.95;
				else if($this->poids>15 && $this->poids<=20) return 59.95;
				else if($this->poids>20 && $this->poids<=25) return 66.95;
				else if($this->poids>25 && $this->poids<=30) return 73.95;
				else if($this->poids>30) return (73.95 + $this->poids*8);
			}
			else if ($this->zone == 7)
			{
				
				//pays de l'est hors europenne et margheb
				if($this->poids<=1) return 18.80;
				else if($this->poids>1 && $this->poids<=2) return 20.65;
				else if($this->poids>2 && $this->poids<=3) return 24.95;
				else if($this->poids>3 && $this->poids<=4) return 29.25;
				else if($this->poids>4 && $this->poids<=5) return 33.55;
				else if($this->poids>5 && $this->poids<=6) return 37.85;
				else if($this->poids>6 && $this->poids<=7) return 42.15;
				else if($this->poids>7 && $this->poids<=8) return 46.45;
				else if($this->poids>8 && $this->poids<=9) return 50.75;
				else if($this->poids>9 && $this->poids<=10) return 55.05;
				else if($this->poids>10 && $this->poids<=15) return 65.05;
				else if($this->poids>15 && $this->poids<=20) return 75.05;
				else if($this->poids>20 && $this->poids<=25) return 85.05;
				else if($this->poids>25 && $this->poids<=30) return 95.05;
				else if($this->poids>30) return (95.05 + $this->poids*9);
			}
			else if ($this->zone == 9)
			{
				
				//pays d'afrique, canada, etats unis, proche et moyen orien
				if($this->poids<=1) return 21.70;
				else if($this->poids>1 && $this->poids<=2) return 28.90;
				else if($this->poids>2 && $this->poids<=3) return 37.90;
				else if($this->poids>3 && $this->poids<=4) return 46.90;
				else if($this->poids>4 && $this->poids<=5) return 55.90;
				else if($this->poids>5 && $this->poids<=6) return 64.90;
				else if($this->poids>6 && $this->poids<=7) return 73.90;
				else if($this->poids>7 && $this->poids<=8) return 82.90;
				else if($this->poids>8 && $this->poids<=9) return 91.90;
				else if($this->poids>9 && $this->poids<=10) return 100.90;
				else if($this->poids>10 && $this->poids<=15) return 123.90;
				else if($this->poids>15 && $this->poids<=20) return 146.90;
				else if($this->poids>20 && $this->poids<=25) return 169.90;
				else if($this->poids>25 && $this->poids<=30) return 192.90;
				else if($this->poids>30) return (192.90 + $this->poids*10.50);
			}
			

		}

	
	}

?>
